Twitter | Search | |
Michael
Pokken Tournament DX (at least, for EU) comes with 3.0.0 on cartridge.
Reply Retweet Like More
Ste🅱️ano🇨🇦 Sep 21
Replying to @SciresM @qlutoo @ylws8
NANI!
Reply Retweet Like
AdemFoster Sep 21
Replying to @SciresM @qlutoo @ylws8
Good to know, I suppose that every next game will have 3.0x versions
Reply Retweet Like
Haaroony Sep 21
Replying to @SciresM @qlutoo @ylws8
Now to wait for the real titles. Odesssy and Skyrim. Unless there's a way to bypass and not directly?
Reply Retweet Like
Ángel Sep 21
Replying to @SciresM @qlutoo @ylws8
so here goes the question, if im in a fw lower than 3.0.0, would u recommend updating?
Reply Retweet Like
120 Sep 21
Replying to @SciresM @qlutoo @ylws8
when piracy on switch?
Reply Retweet Like
Meme. Sep 21
Replying to @ps3120
Next year
Reply Retweet Like
Wololo Sep 21
Replying to @Rinzheim @SciresM and 2 others
Reply Retweet Like
Wololo Sep 21
Replying to @Rinzheim @SciresM and 2 others
In other words: don't update until/unless you *have* to.
Reply Retweet Like
Silver Sep 21
Replying to @SciresM @qlutoo @ylws8
Sucks, that'll hinder progress on CFW, though not surprising.
Reply Retweet Like
Franzenstain Sep 21
Replying to @SciresM @qlutoo @ylws8
Too Bad. Means I'll be forced onto 3+ when I want to play Odyssey, too.
Reply Retweet Like
DarkSky Sep 21
Replying to @SciresM @qlutoo @ylws8
Do you happen to know if Mario Rabbids for US comes with 3.0?
Reply Retweet Like
JustPlayingHard Sep 22
Replying to @ps3120 @SciresM and 2 others
Never.
Reply Retweet Like
Hitler Sayan Sep 23
Replying to @SciresM @qlutoo @ylws8
totally legal copys of games that sure we own for when?
Reply Retweet Like
Liam Sep 23
Replying to @ps3120 @SciresM and 2 others
When Derek stops compiling stuff. So never.
Reply Retweet Like